%global __provides_exclude_from ^%{_libdir}/pantheon-files/.*\\.so$

%global srcname files
%global appname org.pantheon.files

Name:           pantheon-files
Summary:        Pantheon file manager
Version:        0.3.5
Release:        8%{?dist}
License:        GPLv3

URL:            https://github.com/elementary/%{srcname}
Source0:        https://launchpad.net/%{name}/0.3.x/%{version}/+download/%{name}-%{version}.tar.xz

# Install contracts for compressing/uncompressing files with file-roller
Source1:        file-roller-compress.contract
Source2:        file-roller-extract-here.contract

# Add patch to fix compilation with newer versions of vala
Patch0:         00-vala-039-fix.patch

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  vala >= 0.34.0

BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(gail-3.0)
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(glib-2.0) >= 2.29
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(granite) >= 0.3.0
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.10
BuildRequires:  pkgconfig(libcanberra) >= 0.30
BuildRequires:  pkgconfig(libnotify) >= 0.7.2
BuildRequires:  pkgconfig(pango) >= 1.1.2
BuildRequires:  pkgconfig(plank)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(unity) >= 4.0.0
BuildRequires:  pkgconfig(zeitgeist-2.0)

Requires:       contractor
Requires:       file-roller


%description
The simple, powerful, and sexy file manager from elementary.


%package        devel
Summary:        Pantheon file manager (development headers)
Requires:       %{name}%{?_isa} = %{version}-%{release}
%description    devel
The simple, powerful, and sexy file manager from elementary.

This package contains the development headers.


%prep
%autosetup -p1


%build
mkdir build && pushd build
%cmake ..
%make_build
popd


%install
pushd build
%make_install
popd

%find_lang pantheon-files

# install file-roller contracts
mkdir -p %{buildroot}/%{_datadir}/contractor
cp -pav %{SOURCE1} %{buildroot}/%{_datadir}/contractor/
cp -pav %{SOURCE2} %{buildroot}/%{_datadir}/contractor/

# clean up a zero-length, unneeded file
rm %{buildroot}/%{_datadir}/pixmaps/pantheon-files/thumbnail_frame.png


%check
desktop-file-validate \
    %{buildroot}/%{_datadir}/applications/%{appname}.desktop

appstream-util validate-relax --nonet \
    %{buildroot}/%{_datadir}/appdata/%{appname}.appdata.xml


%files -f pantheon-files.lang
%doc AUTHORS HACKING README
%license COPYING

%{_bindir}/pantheon-files
%{_bindir}/pantheon-files-daemon
%{_bindir}/pantheon-files-pkexec

%{_libdir}/libpantheon-files-core.so.0
%{_libdir}/libpantheon-files-core.so.0.1
%{_libdir}/libpantheon-files-widgets.so.0
%{_libdir}/libpantheon-files-widgets.so.0.1
%{_libdir}/gtk-3.0/modules/libpantheon-filechooser-module.so
%{_libdir}/pantheon-files/

%{_datadir}/appdata/%{appname}.appdata.xml
%{_datadir}/applications/%{appname}.desktop
%{_datadir}/contractor/*.contract
%{_datadir}/dbus-1/services/io.elementary.pantheon-files.FileManager1.service
%{_datadir}/dbus-1/services/pantheon-files.service
%{_datadir}/glib-2.0/schemas/%{appname}.gschema.xml
%{_datadir}/pantheon-files/
%{_datadir}/pixmaps/pantheon-files/
%{_datadir}/polkit-1/actions/net.launchpad.pantheon-files.policy


%files devel
%{_includedir}/pantheon-files-core/
%{_includedir}/pantheon-files-widgets/

%{_libdir}/libpantheon-files-core.so
%{_libdir}/libpantheon-files-widgets.so

%{_libdir}/pkgconfig/pantheon-files-core.pc
%{_libdir}/pkgconfig/pantheon-files-widgets.pc

%{_datadir}/vala/vapi/pantheon-files-core-C.vapi
%{_datadir}/vala/vapi/pantheon-files-core.deps
%{_datadir}/vala/vapi/pantheon-files-core.vapi
%{_datadir}/vala/vapi/pantheon-files-widgets.deps
%{_datadir}/vala/vapi/pantheon-files-widgets.vapi


%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Jun 13 2018 Fabio Valentini <decathorpe@gmail.com> - 0.3.5-7
- Rebuild for granite5 soname bump.

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 30 2018 Fabio Valentini <decathorpe@gmail.com> - 0.3.5-5
- Fix compilation with newer vala versions.
- Add contractor files for de/compressing.
- Be lazy about undefined symbols in plugins.

* Sat Nov 04 2017 Fabio Valentini <decathorpe@gmail.com> - 0.3.5-4
- Rebuild for granite soname bump.

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Jun 03 2017 Fabio Valentini <decathorpe@gmail.com> - 0.3.5-1
- Update to version 0.3.5.

* Sun May 07 2017 Fabio Valentini <decathorpe@gmail.com> - 0.3.4-1
- Update to version 0.3.4.

* Tue Apr 11 2017 Fabio Valentini <decathorpe@gmail.com> - 0.3.3-1
- Update to version 0.3.3.

* Sun Feb 26 2017 Fabio Valentini <decathorpe@gmail.com> - 0.3.2-1
- Update to version 0.3.2.

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Jan 28 2017 Fabio Valentini <decathorpe@gmail.com> - 0.3.1.1-2
- Rename icon to match .desktop file.

* Wed Jan 25 2017 Fabio Valentini <decathorpe@gmail.com> - 0.3.1.1-1
- Update to version 0.3.1.1.

* Tue Jan 24 2017 Fabio Valentini <decathorpe@gmail.com> - 0.3.1-2
- Include icon to fix appstream metadata generation.

* Tue Jan 17 2017 Fabio Valentini <decathorpe@gmail.com> - 0.3.1-1
- Update to version 0.3.1.

* Thu Jan 05 2017 Fabio Valentini <decathorpe@gmail.com> - 0.3.0.5-3
- Clean up spec file.

* Sat Dec 24 2016 Fabio Valentini <decathorpe@gmail.com> - 0.3.0.5-2
- Enable libunity support.
- Clean up spec.

* Sat Dec 17 2016 Fabio Valentini <decathorpe@gmail.com> - 0.3.0.5-1
- Update to version 0.3.0.5.

* Sat Nov 19 2016 Fabio Valentini <decathorpe@gmail.com> - 0.3.0.4-1
- Update to version 0.3.0.4.

* Mon Oct 10 2016 Fabio Valentini <decathorpe@gmail.com> - 0.3.0.3.1-1
- Update to version 0.3.0.3.1.

* Thu Sep 29 2016 Fabio Valentini <decathorpe@gmail.com> - 0.3.0.2-4
- Mass rebuild.

* Wed Sep 28 2016 Fabio Valentini <decathorpe@gmail.com> - 0.3.0.2-3
- Spec file cleanups.

* Mon Sep 19 2016 Fabio Valentini <decathorpe@gmail.com> - 0.3.0.2-2
- Spec file cosmetics.

* Fri Sep 02 2016 Fabio Valentini <decathorpe@gmail.com> - 0.3.0.2-1
- Update to version 0.3.0.2.

* Sat Aug 20 2016 Fabio Valentini <decathorpe@gmail.com> - 0.3.0.1-1
- Update to version 0.3.0.1.

* Wed Aug 17 2016 Fabio Valentini <decathorpe@gmail.com> - 0.3-1
- Update to version 0.3.


